import { ResultType } from '@/@types'
import store from '@/store'

const userGetter = {
  getUserToken() {
    const token = store.state.user.token
    return token.access_token ?? ResultType.Empty
  },
  getUserAllAuth() {
    return store.state.user.menuList
  }
}

type UserGetter = typeof userGetter
export { UserGetter }
export default userGetter
